Bug 1842402 - [aws-ebs-csi-driver-operator] displayName misses "Driver"
Summary: [aws-ebs-csi-driver-operator] displayName misses "Driver"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: aos-storage-staff@redhat.com
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks: 1843493
TreeView+ depends on / blocked
 
Reported: 2020-06-01 08:12 UTC by Fabio Bertinatto
Modified: 2020-10-27 16:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:02:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift aws-ebs-csi-driver-operator pull 61 0 None closed Bug 1842402: Add word "Driver" to displayName 2020-10-05 14:27:48 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:03:28 UTC

Description Fabio Bertinatto 2020-06-01 08:12:47 UTC
The operator name is "AWS EBS CSI Driver Operator", but the displayName doesn't contain the word "Driver".

Comment 3 Chao Yang 2020-06-03 10:59:32 UTC
Tested on 4.5.0-0.nightly-2020-06-02-220939
But the name is still without word "Driver"

oc get csv
NAME                                 DISPLAY                VERSION   REPLACES   PHASE
aws-ebs-csi-driver-operator.v4.5.0   AWS EBS CSI Operator   4.5.0                Succeeded

Comment 4 Fabio Bertinatto 2020-06-03 12:27:07 UTC
(In reply to Chao Yang from comment #3)
> Tested on 4.5.0-0.nightly-2020-06-02-220939
> But the name is still without word "Driver"
> 
> oc get csv
> NAME                                 DISPLAY                VERSION  
> REPLACES   PHASE
> aws-ebs-csi-driver-operator.v4.5.0   AWS EBS CSI Operator   4.5.0           
> Succeeded

Apparently the PR didn't get merged before master branch became 4.6.

I'm moving this ticket to 4.6, which should contain the fix already.

As for 4.5, I cherry-picked the patch and the bot created bug 1843493 to track 4.5.

Comment 10 errata-xmlrpc 2020-10-27 16:02:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.